at.chipkarte.client.elgaad.soap.constants

## Class HL7CompoundType

- Object
- - at.chipkarte.client.elgaad.soap.constants.HL7CompoundType

-     public class HL7CompoundType
      extends Object

  Beschreibt die Art "zusammengesetzter" Werte, z.B. Intervall, Verhältnis etc.
  Alle Typen außer `HL7CompoundType.SIMPLE` bestehen aus mehreren Teilen, die wieder Teile haben können, sodass sich eine Baumstruktur ergibt. Die Rolle der Teile (z.B Wert und Einheit eines Wert/Einheit-Paars) wird durch `HL7ChildRoleType` beschrieben. Der Datentyp dieser Struktur sowie aller Substrukturen wird durch `HL7ValueTypeConstants` beschrieben. Terminale Knoten (Blätter des Baums) haben darüber hinaus einen bestimmten Werttyp (z.B. Integer, String,...), der durch `HL7ComponentType` beschrieben wird.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BOUNDED` Obere oder untere Grenze eines Intervalls; besteht aus dem eigentlichen Wert und einer Angabe, ob der Wert zum Intervall gehört (also ob das Intervall Grenzwert inkludiert).
    `static String` | `CODE` Ein Code, definiert durch Codewert und Codierungssystem, sowie (optional) Anzeigetext für Code und Codierungssystem und Versionsnummer des Codierungssystems.
    `static String` | `INTERVAL` Ein Werteintervall - bestehend aus oberer und unterer Grenze und Angabe, ob die Grenzen zum Intervall gehören.
    `static String` | `PQ` Ein Messwert mit Einheit (Wert/Einheit-Paar).
    `static String` | `RATIO` Ein Bruch oder Verhältnis, z.B. 3:5.
    `static String` | `SIMPLE` Ein "einfacher" Wert, z.B. ein Integer oder String.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HL7CompoundType()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SIMPLE

          public static final String SIMPLE

      Ein "einfacher" Wert, z.B. ein Integer oder String.
      See Also:
        Constant Field Values

    - #### BOUNDED

          public static final String BOUNDED

      Obere oder untere Grenze eines Intervalls; besteht aus dem eigentlichen Wert und einer Angabe, ob der Wert zum Intervall gehört (also ob das Intervall Grenzwert inkludiert).
      See Also:
        `HL7CompoundType.INTERVAL`, Constant Field Values

    - #### INTERVAL

          public static final String INTERVAL

      Ein Werteintervall - bestehend aus oberer und unterer Grenze und Angabe, ob die Grenzen zum Intervall gehören. Die beiden Grenzen sind vom Typ `HL7CompoundType.BOUNDED`. Beispiel: 3 (inkl.) - 5 (exkl.)
      See Also:
        Constant Field Values

    - #### RATIO

          public static final String RATIO

      Ein Bruch oder Verhältnis, z.B. 3:5.
      See Also:
        Constant Field Values

    - #### CODE

          public static final String CODE

      Ein Code, definiert durch Codewert und Codierungssystem, sowie (optional) Anzeigetext für Code und Codierungssystem und Versionsnummer des Codierungssystems.
      See Also:
        Constant Field Values

    - #### PQ

          public static final String PQ

      Ein Messwert mit Einheit (Wert/Einheit-Paar).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HL7CompoundType

          public HL7CompoundType()